Subject: Re: [PATCH] git-completion.bash: stash-show: add --patch-with-stat

From: Denton Liu <[email-masked]>
Date: Mon, 28 Sep 2020 23:25:55 -0700

Hi Junio,

On Mon, Sep 28, 2020 at 11:43:11AM -0700, Junio C Hamano wrote:
> In any case, it might make more sense to do this instead, and then
> rethink what options make sense to these subcommands of "git stash".
> I do not think patch-with-stat should be among them.

Perhaps it would make sense to add --patch and --no-patch to
$__git_diff_common_options and then use that list for `git stash show`
since it's documented that all of the diff options are valid.

Thanks,
Denton